<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>{{ name }}</title>

		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/quantlane.css">


		<script src="lib/js/mermaid.min.js"></script>

		<style type="text/css">
			section > img {
				border: none !important;
				box-shadow: none !important;
			}

			section pre {
				width: 100% !important;
			}

			section pre code {
				max-height: 100% !important;
			}

			section[data-background-image] h2,
			section[data-background-image] h3 {
				background: rgba(0, 0, 0, 0.7);
			}

			code mark, code mark span{
				color: black !important;
			}


			section[data-background-image] h2,
			section[data-background-image] h3 {
				color: white;
			}

			h2 + a, h3 + a {
				display: block;
				margin-top: -1em !important;
				font-size: 60% !important;
			}

			.reveal .diagram-display {
			  padding: 0;
			  margin: 2em 0 0;
			  min-height: 700px;
			  min-width:100%;
			  height:auto;
			}
		</style>


		<style type="text/css">
			{% include "template.css.j2" %}
		</style>

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div class="reveal">
			<div class="slides">

				<section data-transition="fade-in fade-out" class="intro-slide">
					<img class="logo" src="img/logo-white.png" alt="Quantlane">
					<h2>{{ name }}</h2>
					<h4>{{ author }}</h4>

					{% if notes %}
						<aside class="notes">
							<ul>
							{% for note in notes %}
								<li>{{ note|e }}</li>
							{% endfor %}
							</ul>
						</aside>
					{% endif %}
				</section>

				{% if about %}
					{% for slide in about %}
						{% set category_index = 0 %}
						{% include "slide.html.j2" %}
					{% endfor %}
				{% endif %}

				<section data-transition="fade-in fade-out" data-background-image="img/wallpaper.svg"></section>

				{% if categories %}
					{% include "toc.html.j2" %}
				{% endif %}

				{% block slides %}
					{% for category in categories %}
						{% do category.update({'index': loop.index0}) %}
						{% set category_index = category.index %}
						{% for slide in category['slides'] %}
							{% include "slide.html.j2" %}
						{% endfor %}
					{% endfor %}

					{% for slide in slides %}
						{% set category_index = 0 %}
						{% include "slide.html.j2" %}
					{% endfor %}
				{% endblock %}


				<section data-transition="fade-in fade-out" class="thankyou-slide" data-background-color="#000000">
					<img class="logo" src="img/logo-black.png" alt="Quantlane">
					<br>
{#					<h4>Thank you</h4>#}
					<a href="{{ email }}"><span class="email-name">{{ email.split('@')[0] }}@</span>{{ domain|default('quantlane.com') }}</a>
				</section>


			</div>
		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>
			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				history: true,

				controls: false,
				controlsBackArrows: 'hidden',
				progress: false,

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/mermaid/mermaid.js' }
				]
			});
		</script>
	</body>
</html>
